Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
eZContentBrowseBookmark Class Reference

Handles bookmarking nodes for users. More...

Inheritance diagram for eZContentBrowseBookmark:

## Public Member Functions
| fetchNode ()
| contentObjectID ()
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | fetch ( $bookmarkID)
static | fetchListForUser ( $userID, $offset=false, $limit=false)
static | createNew ( $userID, $nodeID, $nodeName)
static | cleanup ()
static | removeByNodeID ( $nodeID)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Additional Inherited Members
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

Handles bookmarking nodes for users.

Allows the creation and fetching of bookmark lists for users. The bookmark list is used in the browse page to allow quick navigation and selection.

Creating a new bookmark item is done with

$userID = eZUser::currentUserID();
$nodeID = 2;
$nodeName = 'Node';
eZContentBrowseBookmark::createNew( $userID, $nodeID, $nodeName )
eZContentBrowseBookmark\createNew
static createNew( $userID, $nodeID, $nodeName)
Definition: ezcontentbrowsebookmark.php:102
eZUser\currentUserID
static currentUserID()
Definition: ezuser.php:1731

Fetching the list is done with

$userID = eZUser::currentUserID();
eZContentBrowseBookmark::fetchListForUser( $userID )
eZContentBrowseBookmark\fetchListForUser
static fetchListForUser( $userID, $offset=false, $limit=false)
Definition: ezcontentbrowsebookmark.php:84

Definition at line 34 of file ezcontentbrowsebookmark.php.

## Member Function Documentation

## ◆ cleanup()

static eZContentBrowseBookmark::cleanup | ( |  | ) |
| static

Removes all bookmark entries for all users.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 146 of file ezcontentbrowsebookmark.php.

References eZDB\instance().

## ◆ contentObjectID()

eZContentBrowseBookmark::contentObjectID | ( |  | ) |

Returns
  the content object ID of the tree node which this item refers to.

Definition at line 129 of file ezcontentbrowsebookmark.php.

References fetchNode().

## ◆ createNew()

static eZContentBrowseBookmark::createNew | ( |  | $userID,
|  |  | $nodeID,
|  |  | $nodeName
| ) |  |
| static

Creates a new bookmark item for user $userID with node id $nodeID and name $nodeName. The new item is returned.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 102 of file ezcontentbrowsebookmark.php.

References eZDB\instance().

## ◆ definition()

static eZContentBrowseBookmark::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 36 of file ezcontentbrowsebookmark.php.

Referenced by fetch(), and fetchListForUser().

## ◆ fetch()

static eZContentBrowseBookmark::fetch | ( |  | $bookmarkID | ) |
| static

Returns
  the bookmark item $bookmarkID.

Definition at line 74 of file ezcontentbrowsebookmark.php.

References definition(), and eZPersistentObject\fetchObject().

## ◆ fetchListForUser()

static eZContentBrowseBookmark::fetchListForUser | ( |  | $userID,
|  |  | $offset = `false`,
|  |  | $limit = `false`
| ) |  |
| static

Returns
  the bookmark list for user $userID.

Definition at line 84 of file ezcontentbrowsebookmark.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ fetchNode()

eZContentBrowseBookmark::fetchNode | ( |  | ) |

Returns
  the tree node which this item refers to.

Definition at line 121 of file ezcontentbrowsebookmark.php.

References eZPersistentObject\attribute(), and eZContentObjectTreeNode\fetch().

Referenced by contentObjectID().

## ◆ removeByNodeID()

static eZContentBrowseBookmark::removeByNodeID | ( |  | $nodeID | ) |
| static

Removes all bookmark entries for node.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 158 of file ezcontentbrowsebookmark.php.

References eZDB\instance().

Referenced by eZContentObjectTreeNode\removeThis().

The documentation for this class was generated from the following file:

- ezcontentbrowsebookmark.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.